<?php
require'f_forumm.php';
$titlu='Salvează chestionar topic '.$tnume;
require'f_sus.php';
require'f_mut.php';
if($conn->query('SELECT`lei`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0]>=$lei['chestionar']&&$perm>0||$tinfo[1]==$de)
{
if($tinfo[7]==0)
{
$intrebare=$_POST['intrebare'];
$varianta1=$_POST['varianta1'];
$varianta2=$_POST['varianta2'];
$varianta3=$_POST['varianta3'];
$varianta4=$_POST['varianta4'];
$varianta5=$_POST['varianta5'];
if($intrebare!=''&&$varianta1!=''&&$varianta2!='')
{
if($conn->query('SELECT COUNT(*)FROM`chestionar_intrebari`WHERE`intrebare`="'.$intrebare.'"')->fetch_row()[0]==0)
{
require'f_blocat.php';
if(!blocat($intrebare)&&!blocat($varianta1)&&!blocat($varianta2)&&!blocat($varianta3)&&!blocat($varianta4)&&!blocat($varianta5))
{
if($conn->query('INSERT INTO`chestionar_intrebari`SET`de`="'.$de.'",`intrebare`="'.$intrebare.'",`varianta1`="'.$varianta1.'",`varianta2`="'.$varianta2.'",`varianta3`="'.$varianta3.'",`varianta4`="'.$varianta4.'",`varianta5`="'.$varianta5.'",`data`="'.$_SERVER['REQUEST_TIME'].'"'))
{
$pollid=$conn->insert_id;
$intrebarea=mb_substr($intrebare,0,15);
require'f_notificare.php';
require'f_sex.php';
$items=$conn->query('SELECT`de`FROM`forum_abonati_topicuri`WHERE`tid`="'.$tid.'"');
while($item=$items->fetch_row())
{
notificare('in topicul [url=/forum/topic/'.$tid.'-'.seo($tinfo[3]).']'.$tinfo[3].'[/url] la care ești abonat'.sex($item[0],2).', am adăugat chestionarul cu intrebarea: [url=/chestionar/id/'.$pollid.'-'.seo($intrebarea).']'.$intrebarea.'[/url]!',$item[0],$de);
}
$conn->query('INSERT INTO`evenimente`SET`text`="a creiat chestionarul cu intrebarea: [url=/chestionar/id/'.$pollid.'-'.seo($intrebarea).']'.$intrebarea.'[/url], în topicul [url=/forum/topic/'.$tid.'-'.seo($tinfo[3]).']'.$tinfo[3].'[/url]",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`tip`="1"');
$conn->query('UPDATE`forum_topicuri`SET`tid`="'.$pollid.'"WHERE`id`="'.$tid.'"');
$conn->query('UPDATE`membrii`SET`lei`=lei-'.$lei['chestionar'].' WHERE`id`="'.$de.'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Chestionarul <a href="/chestionar/id/'.$pollid.'-'.seo($intrebarea).'">'.htmlspecialchars($intrebarea).'</a> a fost adăugat cu succes, iar tu ai platit suma de <strong>'.$lei['chestionar'].'</strong> lei!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
}
else
{
$tip='chestionarul topicului '.$tinfo[3];
$text='Intrebare: '.$intrebare.'[br/]Raspunsuri: '.$varianta1.', '.$varianta2.', '.$varianta3.', '.$varianta4.', '.$varianta5;
require'f_ban.php';
}
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Exista un chestionar cu aceasta intrebare!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Chestionarul trebuie să aibă o întrebare și minim 2 optiuni de raspuns!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest topic are un chestionar!<br />Pentru a adauga altul, trebuie sa-l ștergi pe cel existent!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Trebuie să ai minim '.$lei['chestionar'].' lei sa poți crea un chestionar!<br />Sau topicul nu e creat de tine!<br /><a href="/informatii-lei">'.img('banca.gif',1).'<span style="color:red">Informații despre acumularea și consumul de lei</span></a>';
echo$div[0];
require'f_jos.php';